xmlencryption::Encrypter::KeyEncryptionParams Struct Reference

Structure to collect key wrapping/transport requirements. More...

`#include <xmltooling/encryption/Encrypter.h>`

Collaboration diagram for xmlencryption::Encrypter::KeyEncryptionParams:
[legend]

## Public Member Functions

| KeyEncryptionParams (const xmltooling::Credential &credential, const XMLCh *algorithm=0, const XMLCh *recipient=0)
| Constructor.

## Public Attributes

const xmltooling::Credential & | m_credential
| Credential containing key encryption key.
const XMLCh * | m_algorithm
| Key transport or wrapping algorithm.
const XMLCh * | m_recipient
| Name of recipient that owns the key encryption key.

## Detailed Description

Structure to collect key wrapping/transport requirements.

## Constructor & Destructor Documentation

## KeyEncryptionParams()

xmlencryption::Encrypter::KeyEncryptionParams::KeyEncryptionParams | ( | const xmltooling::Credential & | credential,
|  | const XMLCh * | algorithm = 0,
|  | const XMLCh * | recipient = 0 )

Constructor.

Parameters

  credential | a Credential supplying the key encryption key
  algorithm | XML Encryption key wrapping or transport algorithm constant
  recipient | optional name of recipient of encrypted key

The documentation for this struct was generated from the following file:

- xmltooling/encryption/Encrypter.h